import { CosmosChainId } from '@injectivelabs/ts-types';
import { TxRaw, TxResponse } from '@injectivelabs/sdk-ts';
import type { DirectSignResponse } from '@cosmjs/proto-signing';
import { AminoSignResponse, StdSignDoc } from '@cosmjs/launchpad';
import { ConcreteCosmosWalletStrategy } from '../../types/strategy.js';
import { WalletDeviceType } from '../../../types/enums.js';
import { SendTransactionOptions } from '../../wallet-strategy/index.js';
export default class Keplr implements ConcreteCosmosWalletStrategy {
    chainId: CosmosChainId;
    private keplrWallet;
    constructor(args: {
        chainId: CosmosChainId;
    });
    getWalletDeviceType(): Promise<WalletDeviceType>;
    enable(): Promise<boolean>;
    getAddresses(): Promise<string[]>;
    sendTransaction(transaction: DirectSignResponse | TxRaw, options: SendTransactionOptions): Promise<TxResponse>;
    signTransaction(transaction: {
        txRaw: TxRaw;
        chainId: string;
        accountNumber: number;
        address: string;
    }): Promise<DirectSignResponse>;
    signAminoTransaction(transaction: {
        address: string;
        stdSignDoc: StdSignDoc;
    }): Promise<AminoSignResponse>;
    getPubKey(): Promise<string>;
    private getKeplrWallet;
}
//# sourceMappingURL=Keplr.d.ts.map