import { ChainId, AccountAddress, EthereumChainId } from '@injectivelabs/ts-types';
import { TxRaw, TxResponse, DirectSignResponse } from '@injectivelabs/sdk-ts';
import { ConcreteWalletStrategy } from '../../../types/index.js';
import { SendTransactionOptions } from '../../types.js';
import BaseConcreteStrategy from '../Base.js';
import { WalletDeviceType } from '../../../../types/enums.js';
export default class LedgerCosmos extends BaseConcreteStrategy implements ConcreteWalletStrategy {
    private baseDerivationPath;
    private ledger;
    constructor(args: {
        chainId: ChainId;
    });
    getWalletDeviceType(): Promise<WalletDeviceType>;
    enable(): Promise<boolean>;
    disconnect(): Promise<void>;
    getAddresses(): Promise<string[]>;
    getSessionOrConfirm(address: AccountAddress): Promise<string>;
    sendEthereumTransaction(_txData: any, _options: {
        address: string;
        ethereumChainId: EthereumChainId;
    }): Promise<string>;
    sendTransaction(transaction: TxRaw, options: SendTransactionOptions): Promise<TxResponse>;
    /** @deprecated */
    signTransaction(transaction: {
        txRaw: TxRaw;
        accountNumber: number;
        chainId: string;
    }, injectiveAddress: AccountAddress): Promise<DirectSignResponse>;
    signAminoCosmosTransaction(transaction: {
        signDoc: any;
        accountNumber: number;
        chainId: string;
        address: string;
    }): Promise<string>;
    signCosmosTransaction(_transaction: {
        txRaw: TxRaw;
        accountNumber: number;
        chainId: string;
        address: string;
    }): Promise<DirectSignResponse>;
    signEip712TypedData(_eip712Json: string, _address: AccountAddress): Promise<string>;
    signArbitrary(signer: AccountAddress, data: string | Uint8Array): Promise<string>;
    getEthereumChainId(): Promise<string>;
    getEthereumTransactionReceipt(_txHash: string): Promise<string>;
    getPubKey(address?: string): Promise<string>;
    private getWalletForAddress;
}
//# sourceMappingURL=index.d.ts.map