"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isEip712V2OnlyWallet = exports.isCosmosWallet = exports.isEthWallet = void 0;
const enums_js_1 = require("../../types/enums.js");
const isEthWallet = (wallet) => [
    enums_js_1.Wallet.Magic,
    enums_js_1.Wallet.Torus,
    enums_js_1.Wallet.BitGet,
    enums_js_1.Wallet.Ledger,
    enums_js_1.Wallet.Trezor,
    enums_js_1.Wallet.Phantom,
    enums_js_1.Wallet.Metamask,
    enums_js_1.Wallet.OkxWallet,
    enums_js_1.Wallet.PrivateKey,
    enums_js_1.Wallet.TrustWallet,
    enums_js_1.Wallet.LedgerLegacy,
    enums_js_1.Wallet.WalletConnect,
    enums_js_1.Wallet.CosmostationEth,
].includes(wallet);
exports.isEthWallet = isEthWallet;
const isCosmosWallet = (wallet) => !(0, exports.isEthWallet)(wallet);
exports.isCosmosWallet = isCosmosWallet;
const isEip712V2OnlyWallet = (wallet) => [
    enums_js_1.Wallet.Magic,
    enums_js_1.Wallet.Metamask,
    enums_js_1.Wallet.Phantom,
    enums_js_1.Wallet.WalletConnect,
].includes(wallet);
exports.isEip712V2OnlyWallet = isEip712V2OnlyWallet;
//# sourceMappingURL=utils.js.map