import { WalletErrorActionModule } from '@injectivelabs/exceptions';
export declare enum Wallet {
    Leap = "leap",
    Keplr = "keplr",
    Ninji = "ninji",
    Magic = "magic",
    Torus = "torus",
    Ledger = "ledger",
    BitGet = "BitGet",
    Trezor = "trezor",
    Phantom = "phantom",
    Metamask = "metamask",
    OkxWallet = "okx-wallet",
    TrustWallet = "trust-wallet",
    PrivateKey = "private-key",
    Cosmostation = "cosmostation",
    LedgerCosmos = "ledger-cosmos",
    LedgerLegacy = "ledger-legacy",
    WalletConnect = "wallet-connect",
    CosmostationEth = "cosmostation-eth"
}
export declare enum MagicProvider {
    Email = "email",
    Apple = "apple",
    Github = "github",
    Google = "google",
    Discord = "discord",
    Twitter = "twitter",
    Facebook = "facebook"
}
export declare enum WalletDeviceType {
    Mobile = "mobile",
    Other = "other",
    Browser = "browser",
    Hardware = "hardware"
}
export declare enum WalletEventListener {
    AccountChange = "account-change",
    ChainIdChange = "chain-id-change"
}
export declare const WalletAction: {
    SignTransaction: WalletErrorActionModule.SignTransaction;
    SignEthereumTransaction: WalletErrorActionModule.SignEthereumTransaction;
    SendTransaction: WalletErrorActionModule.SendTransaction;
    SendEthereumTransaction: WalletErrorActionModule.SendEthereumTransaction;
    SignArbitrary: WalletErrorActionModule.SignArbitrary;
    GetAccounts: WalletErrorActionModule.GetAccounts;
    GetNetworkId: WalletErrorActionModule.GetNetworkId;
    GetChainId: WalletErrorActionModule.GetChainId;
    GetEthereumTransactionReceipt: WalletErrorActionModule.GetEthereumTransactionReceipt;
};
//# sourceMappingURL=enums.d.ts.map