import { AccountAddress } from '@injectivelabs/ts-types';
import { DirectSignResponse } from '@cosmjs/proto-signing';
import { TxResponse, TxRaw } from '@injectivelabs/sdk-ts';
import { AminoSignResponse, StdSignDoc } from '@keplr-wallet/types';
import { Wallet, WalletDeviceType } from '../../types/enums.js';
import { ConcreteCosmosWalletStrategy, CosmosWalletStrategyArguments } from '../types/strategy.js';
import { SendTransactionOptions } from '../wallet-strategy/index.js';
export declare const cosmosWallets: Wallet[];
export default class CosmosWalletStrategy {
    strategies: Record<Wallet, ConcreteCosmosWalletStrategy | undefined>;
    wallet: Wallet;
    constructor(args: CosmosWalletStrategyArguments);
    getWallet(): Wallet;
    setWallet(wallet: Wallet): void;
    getStrategy(): ConcreteCosmosWalletStrategy;
    getWalletDeviceType(): Promise<WalletDeviceType>;
    getPubKey(): Promise<string>;
    enable(): Promise<boolean>;
    getAddresses(): Promise<AccountAddress[]>;
    enableAndGetAddresses(): Promise<AccountAddress[]>;
    sendTransaction(tx: TxRaw | DirectSignResponse, options: SendTransactionOptions): Promise<TxResponse>;
    signTransaction(transaction: {
        txRaw: TxRaw;
        accountNumber: number;
        chainId: string;
        address: string;
    }): Promise<DirectSignResponse>;
    signAminoTransaction(transaction: {
        address: string;
        stdSignDoc: StdSignDoc;
    }): Promise<AminoSignResponse>;
}
//# sourceMappingURL=CosmosWalletStrategy.d.ts.map