import { ChainId, AccountAddress, EthereumChainId } from '@injectivelabs/ts-types';
import { TxRaw, TxResponse } from '@injectivelabs/sdk-ts';
import type { DirectSignResponse } from '@cosmjs/proto-signing';
import { ConcreteWalletStrategy } from '../../types/index.js';
import BaseConcreteStrategy from './Base.js';
import { WalletDeviceType } from '../../../types/enums.js';
import { SendTransactionOptions } from '../types.js';
export default class Keplr extends BaseConcreteStrategy implements ConcreteWalletStrategy {
    private keplrWallet;
    constructor(args: {
        chainId: ChainId;
    });
    getWalletDeviceType(): Promise<WalletDeviceType>;
    enable(): Promise<boolean>;
    disconnect(): Promise<void>;
    getAddresses(): Promise<string[]>;
    getSessionOrConfirm(address: AccountAddress): Promise<string>;
    sendEthereumTransaction(_transaction: unknown, _options: {
        address: AccountAddress;
        ethereumChainId: EthereumChainId;
    }): Promise<string>;
    sendTransaction(transaction: DirectSignResponse | TxRaw, options: SendTransactionOptions): Promise<TxResponse>;
    /** @deprecated */
    signTransaction(transaction: {
        txRaw: TxRaw;
        accountNumber: number;
        chainId: string;
    }, injectiveAddress: AccountAddress): Promise<DirectSignResponse>;
    signAminoCosmosTransaction(_transaction: {
        signDoc: any;
        accountNumber: number;
        chainId: string;
        address: string;
    }): Promise<string>;
    signCosmosTransaction(transaction: {
        txRaw: TxRaw;
        accountNumber: number;
        chainId: string;
        address: string;
    }): Promise<DirectSignResponse>;
    signEip712TypedData(_transaction: string, _address: AccountAddress): Promise<string>;
    signArbitrary(signer: string, data: string | Uint8Array): Promise<string>;
    getEthereumChainId(): Promise<string>;
    getEthereumTransactionReceipt(_txHash: string): Promise<string>;
    getPubKey(): Promise<string>;
    onAccountChange(callback: (account: AccountAddress) => void): Promise<void>;
    private getKeplrWallet;
}
//# sourceMappingURL=Keplr.d.ts.map